package contract_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type ContractBatchexpiretimeRequest struct {
	MultiContractInfo *common.ContractMultipleRequest `json:"multiContractInfo"`
	// <ext>core:true;format:date</ext> 【签署截止日期】签署截止日期 【作用】   若超过该日期，文件的所有签署方将不能进行文件签署，文件状态变为“已截止签署”。   【传参】 1、日期格式：yyyy-MM-dd。 2、若传入2022-03-09，系统将在2022年3月9日的23时59分59秒后将文件标记为“已截止签署”。
	ExpireTime string                  `json:"expireTime"`
	Operator   *common.UserInfoRequest `json:"operator,omitempty"`
}

func (obj ContractBatchexpiretimeRequest) GetUrl() string {
	return "/contract/batchExpireTime"
}

func (obj ContractBatchexpiretimeRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
